
FILENAME = brochure

LINGUAS ?= en fr it

DC_SPECIFICS =	--msgid-bugs-address debconf-team@lists.debconf.org \
		--copyright-holder "DebConf Team" \
		--package-name "Sponsoring Brochure" \
		--package-version "0.$(shell date +%s)" \
		--master-charset UTF-8 \
		--keep 0 # Default is 80%

l10n/messages.pot: ${FILENAME}.en.tex update-po

l10n/%.po: ${FILENAME}.en.tex update-po

update-po:
	po4a ${DC_SPECIFICS} --force --no-translations po4a.cfg

${FILENAME}.en.tex:
	# Don't try to build the source file

${FILENAME}.%.tex: l10n/%.po ${FILENAME}.en.tex
	po4a ${DC_SPECIFICS} po4a.cfg

${FILENAME}.%.pdf: ${FILENAME}.%.tex
	pdflatex $^
	pdflatex $^

all: $(foreach lang, $(LINGUAS), ${FILENAME}.$(lang).pdf)

clean: $(foreach lang, $(LINGUAS), clean-$(lang))

clean-%:
	rm -f ${FILENAME}.$*.pdf
	rm -f ${FILENAME}.$*.aux
	rm -f ${FILENAME}.$*.log

.PHONY: all clean update-po
